set-active-panel
Description
Fires when active panel is changedAbout active panel see here: activePanel
Usage
"set-active-panel": ({
panel: 0|1
}) => boolean | void;
Parameters
panel- (required) sets active panel which can be 0 (left panel) or 1 (right panel)
Example
import { getData, getDrive } from "./common/data";
import { Filemanager } from "@svar-ui/react-filemanager";
function App() {
const init = (api) => {
api.exec("set-active-panel", {
panel: 0,
});
};
return (
<Filemanager data={getData()} drive={getDrive()} init={init} />
);
}
Related articles: How to access File Manager API

Skip to main content

set-active-panel

Description

Fires when active panel is changed

About active panel see here: activePanel

Usage

"set-active-panel": ({
panel: 0|1
}) => boolean | void;

Parameters

  • panel - (required) sets active panel which can be 0 (left panel) or 1 (right panel)

Example

<script setup>
import { getData, getDrive } from "./common/data";
import { Filemanager } from "@svar-ui/vue-filemanager";

function init(api) {
api.exec("set-active-panel", {
panel: 0,
});
}
</script>

<template>
<Filemanager :data="getData()" :drive="getDrive()" :init="init" />
</template>

Related articles: How to access File Manager API